ANACRON(8)

NOM
anacron — Exécuter des commandes périodiquement

SYNOPSIS
anacron [-s] [-f] [-n] [-d] [-q] [-t fichier_anacrontab] [-S répertoire_dateurs] [tâches] ...
anacron [-S répertoire_dateurs] -u [-t fichier_anacrontab] [tâches] ...
anacron [-V|-h]
anacron -T [-t fichier_anacrontab]
anacron --list-obsolete-timestamp-files [-t anacrontab] [-S spooldir]

DESCRIPTION
anacron permet d'exécuter des commandes à intervalles réguliers avec une périodicité spécifiée en jours. À la différence de cron(8), il ne part pas du principe que la machine fonctionne de manière permanente. Il peut ainsi être utilisé sur des machines qui ne fonctionnent pas 24 heures sur 24 pour contrôler des tâches quotidiennes, hebdomadaires ou mensuelles habituellement contrôlées par cron.

Lorsqu'on l'exécute, anacron lit une liste de tâches dans un fichier de configuration, en général /etc/anacrontab (voir anacrontab(5)). Ce fichier contient la liste des tâches que contrôle anacron. Chaque entrée correspondant à une tâche spécifie une périodicité en jours, un délai en minutes, un identifiant de tâche unique et une commande de l'interpréteur.

Pour chaque tâche, anacron vérifie si cette dernière a été exécutée au cours des n derniers jours où n correspond à la périodicité de cette tâche. Si une tâche n'a pas été exécutée au cours des n derniers jours, anacron exécute la commande de l'interpréteur spécifiée pour cette tâche après avoir attendu pendant le nombre de minutes indiqué à l'aide du paramètre délai.

Lorsque la commande rend la main, anacron enregistre la date dans un fichier dateur spécifique à cette tâche de façon à ce qu'il puisse savoir quand il devra exécuter cette tâche à nouveau. Seule la date est utilisée pour les calculs de temps ; l'heure est ignorée.

Lorsqu'il n'y a plus de tâches à exécuter, anacron quitte.

anacron ne prend en compte que les tâches dont l'identifiant, décrit dans anacrontab(5), correspond à un des arguments tâches de la ligne de commande. Les arguments tâches de la ligne de commande peuvent être représentés à l'aide de modèles avec caractères génériques de l'interpréteur de commande (assurez-vous de les protéger de votre interpréteur de commande à l'aide de guillemets adéquats). Ne spécifier aucun argument tâches sur la ligne de commande est équivalent à en spécifier un contenant « * » (ce qui implique qu'anacron prendra en compte toutes les tâches).

Si anacron est exécuté sans l'option -d (voir plus loin), il se duplique à l'aide d'un « fork » en arrière-plan après avoir démarré et le processus parent quitte immédiatement.

Si anacron est exécuté sans les options -s ou -n, il lance les tâches immédiatement après expiration du délai qui leur est attribué. L'exécution des différentes tâches est totalement indépendante.

Si l'exécution d'une tâche génère une sortie vers la sortie standard ou la sortie d'erreur standard, cette sortie est envoyée sous forme de message à l'utilisateur sous lequel anacron s'exécute (en général root), ou à l'adresse indiquée par la variable d'environnement MAILTO définie dans le fichier /etc/anacrontab, si elle existe.

Tout message d'information généré par anacron est envoyé à syslogd(8) sous la catégorie cron et avec la priorité notice. Tout message d'erreur est envoyé avec la priorité error.

Les tâches « actives » (c'est-à-dire les tâches qu'anacron a déjà décidé d'exécuter et qui attendent l'expiration de leur délai, ainsi que les tâches qui sont en cours d'exécution par anacron) sont « verrouillées », de façon à ce que d'autres instances d'anacron ne puissent pas les exécuter en même temps.

OPTIONS

-f  Forcer l'exécution de toutes les tâches en ignorant les fichiers dateurs.

-u  Mettre seulement à jour les fichiers dateurs à la date actuelle pour toutes les tâches, mais n'en exécuter aucune.

-s  Sérialiser l'exécution des tâches. anacron ne démarrera alors une nouvelle tâche qu'une fois la tâche précédente terminée.

-n  Exécuter les tâches immédiatement en ignorant les délais spécifiés dans le fichier /etc/anacrontab. Cette option implique l'utilisation de l'option -s.

-d  Ne pas dupliquer anacron en arrière-plan à l'aide d'un « fork ». Dans ce mode, anacron va envoyer les messages d'information sur la sortie d'erreur standard, ainsi que vers syslog. En outre, anacron va envoyer la sortie de toute tâche par messagerie.

-q  Supprimer les messages à destination de la sortie d'erreur standard. Seulement applicable avec l'option -d.

-t fichier_anacrontab
    Utiliser le fichier fichier_anacrontab spécifié à la place du fichier par défaut.

-T  Tester la validité du fichier de configuration fichier_anacrontab. Si le fichier comporte une erreur, elle sera indiquée et anacron renverra la valeur 1. Si le fichier anacrontab est valable, anacron renverra la valeur 0.

-S répertoire_dateurs
    Utiliser le répertoire spécifié pour stocker les fichiers dateurs. Cette option est nécessaire si l'utilisateur souhaite exécuter anacron lui-même.

-l, --list-obsolete-timestamp-files
    Print obsolete timestamp files relative to anacrontab and spooldir.

-V  Afficher les informations de version et quitter.

-h  Afficher une aide succincte et quitter.

SIGNAUX
À la réception d'un signal SIGUSR1, anacron attend que toutes les tâches en cours d'exécution, s'il y en a, soient terminées puis quitte. C'est une manière d'arrêter anacron proprement.

NOTES
Assurez-vous que votre fuseau horaire est défini correctement avant de démarrer anacron, car le fuseau horaire affecte la date. Pour ce faire, on définit la variable d'environnement TZ ou on installe un fichier /usr/lib/zoneinfo/localtime. Voir tzset(3) pour plus d'informations.

Les fichiers dateurs sont créés dans le répertoire dédié pour chaque tâche spécifiée dans le fichier anacrontab. Ces fichiers ne sont jamais supprimés automatiquement par anacron et ils doivent être supprimés à la main lorsqu'une tâche n'est plus planifiée.

CONFIGURATION SPÉCIFIQUE À DEBIAN
Sur les systèmes basés sur Debian, anacron est activé toutes les heures de chaque jour de 07h30 à 23h30 locales à l'aide d'une tâche de cron (pour les systèmes non basés sur systemd et où cron est installé et activé), ou à l'aide du minuteur de systemd (pour les systèmes basés sur systemd). Lorsqu'il est activé, anacron vérifie s'il y a des tâches à exécuter ; dans l'affirmative, il exécute ces tâches après un court délai.

Par défaut et pour réduire la consommation d'énergie et augmenter la durée de vie de la batterie, l'activation horaire d'anacron n'aura pas lieu lorsque le système est sur batterie et que l'ordinateur n'est pas branché sur le secteur ; une telle conception peut cependant provoquer des résultats inattendus. L'utilisateur peut désactiver cette fonctionnalité de façon à ce qu'anacron s'exécute sans tenir compte de l'alimentation en électricité.

Vous pouvez consulter la documentation spécifique à Debian dans le fichier /usr/share/doc/anacron/README.Debian pour des instructions détaillées quant à la modification de ce comportement.

FICHIERS

/etc/anacrontab
    Contient les descriptions de chaque tâche. Voir anacrontab(5) pour une description complète.

/var/spool/anacron
    anacron utilise ce répertoire pour stocker les fichiers dateurs.

/lib/systemd/system/anacron.service
    Ce fichier fournit le service systemd pour anacron.

/lib/systemd/system/anacron.timer
    Ce fichier fournit le minuteur de systemd pour anacron. Actuellement, le service est déclenché à chaque heure à l'aide du minuteur de systemd.

VOIR AUSSI
anacrontab(5), cron(8), tzset(3)

Le fichier README d'Anacron.

Pour des informations détaillées à propos des modifications spécifiques à Debian, veuillez lire le fichier /usr/share/doc/anacron/README.Debian.

BOGUES
anacron ne supprime jamais les fichiers dateurs. Supprimez les fichiers inutilisés à la main.

anacron utilise jusqu'à deux descripteurs de fichier pour chaque tâche active, ce qui peut conduire à dépasser la limite du nombre de descripteurs s'il y a plus de 125 tâches actives (pour un noyau standard).

Commentaires, suggestions et rapports de bogue par messagerie au BTS de Debian pour anacron à submit@bugs.debian.org>.

AUTEUR
anacron a été initialement conçu et implémenté par Christian Schwarz <schwarz@monet.m.isar.de>. L'implémentation actuelle est une réécriture complète par Itai Tzur <itzur@actcom.co.il>.

La base du code était entretenue par Sean 'Shaleh' Perry <shaleh@(debian.org|valinux.com)>. De 2004 à 2006, elle était entretenue par Pascal Hakim <pasc@(debian.org|redellipse.net)>. De 2009 à 2014, elle était entretenue par Peter Eisentraut <petere@debian.org>.

De nos jours, anacron sous Debian est entretenu par différents développeurs du projet Debian.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc DUFLOT et Lucien Gentis <lucien.gentis@waika9.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.